'use strict';

const express = require('express');
const app = express();
const Dao = require('./dao.js');

var url = 'mongodb://i399:salakala@ds137191.mlab.com:37191/i399';

app.get('/api/contacts', getContacts);
app.get('/api/contacts/:id', getContact);

var dao = new Dao();
dao.connect(url).then(() => {
    app.listen(3000);
})

function getContacts(request, response) {
    response.set('Content-Type', 'application/json');
    dao.findAll().then(data => {
        response.end(JSON.stringify(data));
    }).catch(error => {
        console.log(error);
        response.end("error"+error);
    })
}

function getContact(request, response) {
    var id = request.params.id;
    response.set('Content-Type', 'application/json');
    dao.findById(id).then(data => {
        response.end(JSON.stringify(data));
    }).catch(error => {
        console.log(error);
        response.end("error"+error);
    })


}
